
QGIS Application - Feature request #2241

"Node tool" should remember last feature which it was used on after switching to other tools and 

returning

2009-12-10 12:53 AM - Maxim Dubinin

Status: Open

Priority: Low

Assignee: Martin Dobias

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12301

Description

Any layer

Start editing, select editing nodes tool,click on object - nodes show up

Switch to zoom - nodes disappear

So need to zoom, select tool, click on object, zoom ....etc. Rather inconvinient!

Note that if object is selected, nodes don't dissappear, so may be we need to select object when clicked with node editing tool, so

navigating will note loose node view.

History

#1 - 2009-12-10 12:56 PM - Giovanni Manghi

Confirmed also under linux, but in my case (both linux and windows) the node tool markers disappear when selecting the zoom tool, even if the feature is

selected. Zooming with the mouse wheel seems to have no side effects.

#2 - 2009-12-10 01:07 PM - Giovanni Manghi

More interesting notes on this issue:

*) "pan map" tool -> node tool markers disappear

*) "zoom in"/"zoom out" tools -> node tool markers disappear

*) "zoom full"/"zoom to layer" -> node tool markers stay put

*) selecting another layer in the legend -> node tool markers disappear

*) "zoom to selection" -> node tool markers stay put

*) "select features" tool -> node tool markers disappear

and finally

*) "zoom last"/"zoom next" tools -> node tool markers stay put but they are NOT redesigned so they show int he wrong place with the wrong scale.
#3 - 2011-01-12 05:55 AM - Jürgen Fischer

Replying to [comment:2 lutra]:

More interesting notes on this issue:

*) "pan map" tool -> node tool markers disappear

*) "zoom in"/"zoom out" tools -> node tool markers disappear

*) "zoom full"/"zoom to layer" -> node tool markers stay put

*) selecting another layer in the legend -> node tool markers disappear

*) "zoom to selection" -> node tool markers stay put

*) "select features" tool -> node tool markers disappear

and finally

*) "zoom last"/"zoom next" tools -> node tool markers stay put but they are NOT redesigned so they show int he wrong place with the wrong scale.

I think the only problem here is that the node tool doesn't keep the feature

currently beeing edited on deactivation.

It's ok that the markers disappear, when another tool is activated or the layer

is changed, but they should reappear when the node tool is activated again.

"Zoom in", "Zoom out", "Pan Map" and "Select features" are activated (change

what happens when you click on the canvas) and therefore deactivate the node

tool.  In that case the node tool markers should disappear.

"Zoom full", "Zoom to layer", "Zoom to selection", "Zoom last" and "Zoom next" 

just change the window and leave the activated node tool untouched and hence

don't make the markers disappear.

I can't reproduce that the node tool markers don't disappear on selected items

(which would be a bug).  QGIS is probably set to "show vertex markers only for

selected features" in Options/Digitizing and therefore just the vertex markers

don't disappear (which isn't a bug).

#4 - 2011-04-17 11:31 AM - Maxim Dubinin

Replying to [comment:4 jef]:

I think the only problem here is that the node tool doesn't keep the feature

currently beeing edited on deactivation.
Yes, this would be nice if it remember the last feature.

I'm turning it into feature request.

Selection doesn't help storing nodes active anymore.

#5 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#9 - 2017-05-01 11:59 AM - Regis Haubourg

- Assignee changed from nobody - to Martin Dobias

- Description updated

Node tool has been totally redesigned. Now vertices are shown with markers only on mouse hover. The context is totally different then. 

Can you check you still have some issues, I couldn't reproduce anymore.

Files

Screenshot.png 245 KB 2009-12-10 Giovanni Manghi
